<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Citas agendadas</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Agenda</a>
            </li>
            <li class="breadcrumb-item active">Citas agendadas</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
          <div class="body">
            <div class="responsive_table">
              <div class="materialTableHeader">
                <div class="row">
                  <div class="col-8">
                    <ul class="header-buttons-left ml-0">
                      <li class="dropdown">
                        <h2>
                          <strong>Citas</strong></h2>
                      </li>
                      <li class="dropdown m-l-20">
                        <label for="search-input"><i class="material-icons search-icon">search</i></label>
                       <input placeholder="Buscar" type="text" #filtrodiagnostico class="browser-default search-field"
                              aria-label="Search box">
                      </li>
                      <li>
                        <div class="icon-button-demo m-l-10" [hidden]=!selection.hasValue()>
                          <button mat-mini-fab color="warn">
                            <mat-icon class="col-white">delete</mat-icon>
                          </button>
                        </div>
                      </li>
                    </ul>
                  </div>
                  <div class="col-4">
                    <ul class="header-buttons">
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="nuevodiagnostico()">
                            <mat-icon class="col-white">add</mat-icon>
                          </button>
                        </div>
                      </li>
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="refrescartabladiagnostico()">
                            <mat-icon class="col-white">refresh</mat-icon>
                          </button>
                        </div>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
                <mat-table #table [dataSource]="datosDiagnostico" matSort class="mat-cell">
                  <!-- Checkbox Column -->
                  <ng-container matColumnDef="select">
                    <mat-header-cell *matHeaderCellDef [ngClass]="'tbl-col-width-per-6'" sty style="display: none;">
                      <mat-checkbox [ngClass]="'tbl-checkbox'">
                      </mat-checkbox>
                    </mat-header-cell>
                    <mat-cell *matCellDef="let row" [ngClass]="'tbl-col-width-per-6'" style="display: none;">
                      <!-- <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
                        [checked]="selection.isSelected(row)" [ngClass]="'tbl-checkbox'">
                      </mat-checkbox> -->
                    </mat-cell>
                  </ng-container>
                  <!-- ID Column -->
                  <ng-container matColumnDef="id">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
                    <mat-cell *matCellDef="let row">{{row.idDiagnostico}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="fechayhora">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Fecha y hora</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.Fecha | date: 'MM/dd/yyyy'}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="clasif">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Clasificación</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.nombre}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="observa">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Observaciones</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.Observaciones}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="nombre">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Nombre</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.Nombre}} {{ row.Apellido}}</mat-cell>
                  </ng-container>
                  <!-- actions -->
                  <ng-container matColumnDef="actions">
                    <mat-header-cell *matHeaderCellDef class="pr-0">Editar/Eliminar</mat-header-cell>
                    <mat-cell *matCellDef="let row; let i=index;" class="pr-0">
                      <button mat-icon-button color="accent" class="btn-tbl-edit" (click)="$event.stopPropagation()"
                        (click)="editardiagnostico(row)">
                        <mat-icon aria-label="Edit" class="col-white">edit</mat-icon>
                      </button>
                      <button mat-icon-button color="accent" class="btn-tbl-delete" (click)="$event.stopPropagation()"
                        (click)="eliminardiagnostico(i, row)">
                        <mat-icon aria-label="Delete" class="col-white">delete</mat-icon>
                      </button>
                    </mat-cell>
                  </ng-container>
                  <mat-header-row *matHeaderRowDef="ColumnasdeDiagnostico"></mat-header-row>
                  <!-- <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row> -->
                  <mat-row *matRowDef="let row; columns: ColumnasdeDiagnostico;" [style.cursor]="'pointer'" matRipple>
                  </mat-row>
                </mat-table>
                <div class="no-results" [style.display]="datosDiagnostico.renderizardatos.length == 0 ? '' : 'none'">
                  No hay resultados
                </div>
                <!-- configurar paginadores  -->
                <mat-paginator #paginator [length]="datosDiagnostico.filtrodatos.length" [pageIndex]="0" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]">
                </mat-paginator>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
